com.rs.xbrl.instructions.formula

## Class DimensionAndMemberAspectOrFilter

- java.lang.Object
- - com.rs.xbrl.instructions.formula.DimensionAndMemberAspectOrFilter

- All Implemented Interfaces:
    AspectOrFilter
  Direct Known Subclasses:
    ChildAspectOrFilter, ChildOrSelfAspectOrFilter, DescendantAspectOrFilter, DescendantOrSelfAspectOrFilter, PureDimensionAndMemberAspectOrFilter

      public abstract class DimensionAndMemberAspectOrFilter
      extends java.lang.Object
      implements AspectOrFilter

  The Class DimensionAndMemberAspectOrFilter.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionAndMemberAspectOrFilter(java.lang.String aspect, ConceptParserResult cpDimension, ConceptParserResult cpMembers, java.lang.String role)` Instantiates a new dimension and member aspect or filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLResource` | `getFilterFragment(GenerationContext gc, java.lang.String axis)` Gets the filter fragment.
    `java.lang.String` | `toString()` Force implementation of toString(), this shall return the source aspect.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.rs.xbrl.instructions.formula.AspectOrFilter

      `getAspectFragment, getFilterFragment`

- - ### Constructor Detail

    - #### DimensionAndMemberAspectOrFilter

          public DimensionAndMemberAspectOrFilter(java.lang.String aspect,
                                          ConceptParserResult cpDimension,
                                          ConceptParserResult cpMembers,
                                          java.lang.String role)

      Instantiates a new dimension and member aspect or filter.
      Parameters:
        `aspect` - the aspect
        `cpDimension` - the cp dimension
        `cpMembers` - the cp members
        `role` - the role

  - ### Method Detail

    - #### getFilterFragment

          public XBRLResource getFilterFragment(GenerationContext gc,
                                       java.lang.String axis)

      Gets the filter fragment.
      Parameters:
        `gc` - the gc
        `axis` - the axis
      Returns:
        the filter fragment

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `AspectOrFilter`
      Force implementation of toString(), this shall return the source aspect.
      Specified by:
        `toString` in interface `AspectOrFilter`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string